{ config, pkgs, ... }:

let
  domain = "reddit.giugl.io";
in
{
  systemd.services.redlib.environment = {
    REDLIB_ROBOTS_DISABLE_INDEXING = "on";
    REDLIB_DEFAULT_THEME = "dracula";
    REDLIB_DEFAULT_SHOW_NSFW = "on";
    REDLIB_DEFAULT_BLUR_NSFW = "off";
    REDLIB_DEFAULT_USE_HLS = "on";
    REDLIB_DEFAULT_HIDE_HLS_NOTIFICATION = "on";
  };

  services.redlib = {
    enable = true;
    port = 9090;
    package = pkgs.unstablePkgs.redlib;
  };

  architect.vhost.${domain} = {
    dnsInterfaces = [ "lan" "tailscale" ];
    locations."/" = {
      port = config.services.redlib.port;
      allowWAN = true;
    };
  };
}
